質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.37%

  • Python 3.x

    10772questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

  • TensorFlow

    998questions

  • Anaconda

    348questions

仮想環境構築してtensorflowを使いたいがnumpyでエラー

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,559

solo1987

score 2

前提・実現したいこと

VisualStudioCodeでAnaconda仮想環境構築してtensorflow,kerasを使用したいと思い環境構築しています。
tensorflowのインストールは完了していますが、tensorflowが利用できません。。

発生している問題・エラーメッセージ

import tensorflow as tf
上記コマンドでエラー

>>> import tensorflow as tf
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/tensorflow/__init__.py", line 24, in <module>
    from tensorflow.python import *
  File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/tensorflow/python/__init__.py", line 49, in <module>
    import numpy as np
  File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/numpy/__init__.py", line 142, in <module>
    from . import core
  File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/numpy/core/__init__.py", line 59, in <module>
    from . import numeric
  File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/numpy/core/numeric.py", line 3093, in <module>
    from . import fromnumeric
  File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/numpy/core/fromnumeric.py", line 17, in <module>
    from . import _methods
  File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/numpy/core/_methods.py", line 158, in <module>
    _NDARRAY_ARRAY_FUNCTION = mu.ndarray.__array_function__
AttributeError: type object 'numpy.ndarray' has no attribute '__array_function__'

該当のソースコード

(py36) Takenori:bin takenori$ pip list | grep tensor
tensorboard                        1.12.2
tensorflow                         1.12.0
tensorflow-gpu                     1.1.0
(py36) Takenori:bin takenori$ python3 -V
Python 3.6.6 :: Anaconda, Inc.
(py36) Takenori:bin takenori$ python -V
Python 3.6.6 :: Anaconda, Inc.
(py36) Takenori:bin takenori$ python
Python 3.6.6 |Anaconda, Inc.| (default, Jun 28 2018, 11:07:29)
[GCC 4.2.1 Compatible Clang 4.0.1 (tags/RELEASE_401/final)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> import tensorflow as tf
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/tensorflow/__init__.py", line 24, in <module>
    from tensorflow.python import *
  File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/tensorflow/python/__init__.py", line 49, in <module>
    import numpy as np
  File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/numpy/__init__.py", line 142, in <module>
    from . import core
  File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/numpy/core/__init__.py", line 59, in <module>
    from . import numeric
  File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/numpy/core/numeric.py", line 3093, in <module>
    from . import fromnumeric
  File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/numpy/core/fromnumeric.py", line 17, in <module>
    from . import _methods
  File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/numpy/core/_methods.py", line 158, in <module>
    _NDARRAY_ARRAY_FUNCTION = mu.ndarray.__array_function__
AttributeError: type object 'numpy.ndarray' has no attribute '__array_function__'


イメージ説明
イメージ説明
イメージ説明
イメージ説明
イメージ説明
イメージ説明

試したこと

補足情報(FW/ツールのバージョンなど)

仮想環境を抜けてAnacondaで実行するとnumpyのimportは問題なく通ります。
from . import corという箇所でエラーになっているようです

virtualenvでpip list,pip3 listしてどちらにも、numpy,tensorflow-gpu入っています。

ここにより詳細な情報を記載してください。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • solo1987

    2019/01/14 20:11

    >>> import numpy
    >>> import tensorflow
    Traceback (most recent call last):
    File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow.py", line 41, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
    File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow_internal.py", line 28, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
    File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow_internal.py", line 24, in swig_import_helper
    _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
    File "/Applications/anaconda3/envs/py36/lib/python3.6/imp.py", line 243, in load_module
    return load_dynamic(name, filename, file)
    File "/Applications/anaconda3/envs/py36/lib/python3.6/imp.py", line 343, in load_dynamic
    return _load(spec)
    ImportError: dlopen(/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/tensorflow/python/_pywrap_tensorflow_internal.so, 10): Library not loaded: @rpath/libcublas.8.0.dylib
    Referenced from: /Applications/anaconda3/envs/py36/lib/python3.6/site-packages/tensorflow/python/_pywrap_tensorflow_internal.so
    Reason: image not found

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "<stdin>", line 1, in <module>
    File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/tensorflow/__init__.py", line 24, in <module>
    from tensorflow.python import *
    File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/tensorflow/python/__init__.py", line 51, in <module>
    from tensorflow.python import pywrap_tensorflow
    File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow.py", line 52, in <module>
    raise ImportError(msg)
    ImportError: Traceback (most recent call last):
    File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow.py", line 41, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
    File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow_internal.py", line 28, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
    File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow_internal.py", line 24, in swig_import_helper
    _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
    File "/Applications/anaconda3/envs/py36/lib/python3.6/imp.py", line 243, in load_module
    return load_dynamic(name, filename, file)
    File "/Applications/anaconda3/envs/py36/lib/python3.6/imp.py", line 343, in load_dynamic
    return _load(spec)
    ImportError: dlopen(/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/tensorflow/python/_pywrap_tensorflow_internal.so, 10): Library not loaded: @rpath/libcublas.8.0.dylib
    Referenced from: /Applications/anaconda3/envs/py36/lib/python3.6/site-packages/tensorflow/python/_pywrap_tensorflow_internal.so
    Reason: image not found


    Failed to load the native TensorFlow runtime.

    See https://www.tensorflow.org/install/install_sources#common_installation_problems

    for some common reasons and solutions. Include the entire stack trace
    above this error message when asking for help.
    >>>

    キャンセル

  • tiitoi

    2019/01/14 20:15

    libcublas.8.0 とか CUDA 関係のライブラリの読み込みに失敗しているのではないでしょうか?
    TensorFlow が要求する CUDA のライブラリがインストールされているか確認してください。(CUDA もバージョンが複数あるので、バージョンまで一致している必要があります。)
    この場合、CUDA 8 が要求されているように見えます。

    キャンセル

  • solo1987

    2019/01/14 20:28

    そのようですね。ありがとうございます。
    いったんtensorflow-gpuをアンインストールすることでimportできるようになりました。

    キャンセル

回答 1

check解決した方法

0

numpyのimportエラーに関しては、numpyの再インストール、tensorflowのimportエラーに関しては、tensorflow-gpuのuninstallで解決しました。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.37%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る

  • Python 3.x

    10772questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

  • TensorFlow

    998questions

  • Anaconda

    348questions